Update product
Update a product (POST body is partial). Requires a Write key.
POST
/products/{productId}Authorization
AuthorizationBearer token (API key) · headerrequiredOrganization API key.
Path parameters
productIdstringrequiredRequest body
requiredapplication/jsonnamestringpricenumberPrice in cents
taxCategorystringAllowed:
8.12.63.80supplierstringcategorystringdeclarationsstringbarcodestringNormalized to lowercase; empty becomes the document id
barcodeAliasesobject[]Optional additional EANs. Empty array removes the field. Available when the barcode aliases feature is enabled for the organization.
Show propertiesHide properties
Array of
objectcodestringrequiredquantitynumberpriceintegerOptional pack price in cents
labelstringexternalIdstringOptional external article ID
externalIdstringdepositProductnumberDeposit in cents
depositProductLabelstringdescriptionstringsalePricenumber | nullSale price in cents. Null or empty string removes the field.
salePercentagenumber | nullSale discount percentage. Null or empty string removes the field.
salePriceDateFromstring<date-time> | nullSale start. Null or empty string removes the field.
salePriceDateTostring<date-time> | nullSale end. Null or empty string removes the field.
costPricenumbermarginnumbershowOnScreenbooleanageRestrictionbooleanshowOnScalebooleansaleStopbooleandeactivatedbooleanimageUrlstringImage URL. Empty string clears the field and deletes the stored asset when it belongs to this organization (same as DELETE /products/{productId}/image).
indexnumberdeletedbooleanSet true to soft-delete.
Responses
200Updated
successbooleanrequired400Bad request
statusCodeintegerrequiredHTTP status code
messagestringrequiredHuman-readable error message
timestampstring<date-time>requiredpathstringrequiredRequest path
403Unauthorized
statusCodeintegerrequiredHTTP status code
messagestringrequiredHuman-readable error message
timestampstring<date-time>requiredpathstringrequiredRequest path
404Not found
statusCodeintegerrequiredHTTP status code
messagestringrequiredHuman-readable error message
timestampstring<date-time>requiredpathstringrequiredRequest path
Request
curl -X POST "https://dashboard.scango.ch/api/v1/products/string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"price": 0,
"taxCategory": "8.1",
"supplier": "string",
"category": "string",
"declarations": "string",
"barcode": "string",
"barcodeAliases": [
{
"code": "string",
"quantity": 0,
"price": 0,
"label": "string",
"externalId": "string"
}
],
"externalId": "string",
"depositProduct": 0,
"depositProductLabel": "string",
"description": "string",
"salePrice": 0,
"salePercentage": 0,
"salePriceDateFrom": "2019-08-24T14:15:22Z",
"salePriceDateTo": "2019-08-24T14:15:22Z",
"costPrice": 0,
"margin": 0,
"showOnScreen": true,
"ageRestriction": true,
"showOnScale": true,
"saleStop": true,
"deactivated": true,
"imageUrl": "string",
"index": 0,
"deleted": true
}'const response = await fetch("https://dashboard.scango.ch/api/v1/products/string", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"name": "string",
"price": 0,
"taxCategory": "8.1",
"supplier": "string",
"category": "string",
"declarations": "string",
"barcode": "string",
"barcodeAliases": [
{
"code": "string",
"quantity": 0,
"price": 0,
"label": "string",
"externalId": "string"
}
],
"externalId": "string",
"depositProduct": 0,
"depositProductLabel": "string",
"description": "string",
"salePrice": 0,
"salePercentage": 0,
"salePriceDateFrom": "2019-08-24T14:15:22Z",
"salePriceDateTo": "2019-08-24T14:15:22Z",
"costPrice": 0,
"margin": 0,
"showOnScreen": true,
"ageRestriction": true,
"showOnScale": true,
"saleStop": true,
"deactivated": true,
"imageUrl": "string",
"index": 0,
"deleted": true
})
});Response
{
"success": true
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}